Subject: Re: Missing library routines
From: "Frank Cottrell" <[email-masked]>
To: [email-masked]
Date: Tue, 7 May 2002 14:08:59 +1000
Newsgroups: gmane.os.cygwin

Thanks Larry,

I suspected that might have been the answer, but I could not find any
evedence of the previous discussions to be sure about it.

The only strange thing left for me is the question:

Why, if Cygwin uses the newlib library, does it not appear on the setup
program list - I only see newlib-man as a file listing out the routines of
the library.

I had to go to sources.redhat.com/newlib and load down the source in order
to build the library manually.

Other than the above confusion, I will do as you suggest and add the
required routines to my copy of newlib if it configures and builds ok for
me.

'Thanks again for replying and helping me with my dilema so quickly

"Larry Hall (RFK Partners, Inc)" <[email-masked]> wrote in message
news:[email-masked]...
> At 09:39 PM 5/6/2002, Frank Cottrell wrote:
> >Hi,
> >
> >I have been using Cygwin for about 5 months now. I am trying to get a
free
> >package (Dibol to C converter) working and further developed - I have so
far
> >overcome lots of environment change requirements and I am nearly there
with
> >the original package, but I have reached a difficult one (well, difficult
> >for me at least.)
> >
> >The d2c Run Time Library needs some accurate maths and calls the routines
> >llround and llabs. My problem is that none of the Cygwin libraries that I
> >can find have those sorts of long long maths routines.
> >
> >I researched the problem to the point where I found the routines are part
of
> >the GNU C library glibc, so I downloaded glibc-2.2.5 only to find that it
> >has not been ported to Cygwin and I could not find any evidence to
suggest
> >such a port is either in progress, or even contemplated.
> >
> >So, being somewhat new to this wonderful world of Unix/Linux/Cygwin
culture
> >my questions are:
> >
> >If Cygwin is seriously trying to provide a great Unix style environment
> >within the Windows environment, then why is this major library
functionality
> >not ported yet - I think I must be missing something big an bad about
this
> >thought.
> >
> >Is there an alternate library available for Cygwin that provides such
maths
> >routines
> >
> >Being a lad not easily deterred, I tried configuring the glibc library
> >with --enable-hacker-mode set and it still fell over, complaining about
> >cygwin - and so I then read some documentation where I gather that the
> >library needs some really fundamental hooks into the operating system
> >environment and then I see that there are sysdep directories to be set up
> >and populated and then I wonder how much grief there is down this road,
so I
> >decided to ask this list and see what you experts say about all of this.
>
>
>
> Yep, this has all been discussed before.  The short answer is that Cygwin
> has its own C library called newlib.  There are no plans to replace it
> with glib due to licensing restrictions at least.  Getting glib to build
with
> Cygwin is probably a Herculean task if it's even that easy.  Feel free to
try
> it though. ;-)  It's probably easier to just add what you need to newlib
> though.
>
>
>
>
>
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 838 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/